<?php
/*
 * User-friendly interface to SIEVE server-side mail filtering.
 * Plugin for Squirrelmail 1.2+
 *
 * Copyright (c) 2002 Alexandros Vellis <avel@users.sourceforge.net>
 *
 * Licensed under the GNU GPL. For full terms see the file COPYING that came
 * with the Squirrelmail distribution.
 *
 */


$types[1]= array(
	'disabled' => true,
	'name' => _("Address Match"),
	'description' => _("Perform an action on messages matching a specified header (From, To etc.).")
);

$types[2]= array(
	'name' => _("Header Match"),
	'description' => _("Perform an action on messages matching a specified header (From, To etc.).")
);

$types[3] = array(
	'name' => _("Size"),
	'description' => _("Perform an action on messages depending on their size.")
);

$types[4] = array(
	'name' => _("All Messages"),
	'description' => _("Perform an action on <strong>all</strong> incoming messages.")
);

$types[5] = array(
	'disabled' => true,
	'name' => _("Body Match"),
	'description' => _("Perform an action on messages depending on their content (body text)."),
	'dependencies' => array("body")
);


$actions[1] = array(
	'name' => _("Keep (Default action)") 
);
$actions[2] = array(
	'name' => _("Discard Silently") 
);
$actions[3] = array(
	'name' => _("Reject, sending this excuse to the sender:") 
);
$actions[4] = array(
	'name' => _("Redirect to the following email address:") 
);
$actions[5] = array(
	'name' => _("Move message into")
);


$matchtypes = array(
"contains" => _("contains"),
"does not contain" => _("does not contain"),
"is" => _("is"),
"is not" => _("is not"),
"matches" => _("matches wildcard"),
"does not match" => _("does not match wildcard")
);

$matchregex = array(
"regex" => _("matches regexp"),
"not regex" => ("does not match regexp")
);


$comparators = array(
'gt' => ">  " . _("is greater than"),
'ge' => "=> " . _("is greater or equal to"),
'lt' => "<  " . _("is lower than"),
'le' => "<= " . _("is lower or equal to"),
'eq' => "=  " . _("is equal to"),
'ne' => "!= " . _("is not equal to")
) ;
// gt" / "ge" / "lt""le" / "eq" / "ne"


$displaymodes = array(
	'verbose' => _("verbose"),
	'terse' => _("terse")
	);

$implemented_capabilities = array("fileinto", "reject", "vacation", "imapflags", "relational", "regex", "notify");

$cap_dependencies['relational'] = array("comparator-i;ascii-numeric");

$notifystrings = array(
'sms' => _("Mobile Phone Message (SMS)") ,
'mailto' => _("Email notification") ,
'zephyr' => _("Notification via Zephyr") ,
'icq' => _("Notification via ICQ")
);

$prioritystrings = array(
'low' => _("Low"),
'normal' => _("Normal"),
'high' => _("High")
);


global $implemented_capabilities, $cap_dependencies;  

?>
